t = 2;
d = 57.15;
l = 50;

difference() {
    cylinder(d=d, h=l, $fn=100, center=true);
    cylinder(d=d-2*t, h=l*2, $fn=100, center=true);
}

// top disk
translate([0,0,l/2+t/2]) {
    difference() {
        cylinder(d=d,h=t, $fn=100, center=true);
        translate([-22,-5,0.3])
            linear_extrude(height=t/2)
                text("R2AUK", size=10);
    }
}

// bottom disk
translate([0,0,-l/2-t/2]) {
rotate([180,0,0]) {
    difference() {
        cylinder(d=d,h=t, $fn=100, center=true);
        translate([-22,-5,0.3]) {
           linear_extrude(height=t/2)
                text("40m trap", size=8);
        }
    }
}
}
